Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001852OCamlOCaml documentationpublic2003-09-26 09:312007-12-12 15:54
Assigned To 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11+dev 
Summary0001852: Grammar bug: expressions are definitions
DescriptionThe OCAML toplevel accepts

   module X = struct 3 + 4 end;;

but the grammar at [^]
says you can only have definitions inside struct...end, and bare
expressions aren't definitions. I think you should add bare
expressions as definitions to the grammar.

Tim Freeman
GPG public key fingerprint ECDF 46F8 3B80 BB9E 575D 7180 76DF FE00 34B1 5C78

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
administrator (administrator)
2004-06-16 15:56

It is described in the text but not in the grammar. --DD 2004-06-16
doligez (administrator)
2007-12-12 15:54

This will be fixed in 3.11, but be aware that in the grammar
readability primes over faithfulness to the implementation:
the implementation might accept more programs than are
described in the grammar.

- Issue History
Date Modified Username Field Change
2005-11-18 10:14 administrator New Issue
2005-12-15 15:44 doligez Category OCaml general => OCaml documentation
2005-12-15 15:44 doligez Description Updated
2007-12-12 15:54 doligez Note Added: 0004388
2007-12-12 15:54 doligez Status acknowledged => closed
2007-12-12 15:54 doligez Resolution open => fixed
2007-12-12 15:54 doligez Fixed in Version => 3.11+dev

Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker